> For the complete documentation index, see [llms.txt](https://docs.orbs.network/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/development-requirements.md).

# Development Requirements

## Install Node.js

Node.js is an execution engine that runs JavaScript programs. Installing it locally will allow you to test your lambda function on your machine before deployment.

Instructions: <https://docs.npmjs.com/downloading-and-installing-node-js-and-npm>

## Install Git

Git is the source control manager used by the popular open source hub GitHub. Install it locally to allow you to maintain versions of your code and push them to Orbs.

Instructions: <https://github.com/git-guides/install-git>

## GitHub account

As part of the deployment process, you will need to open a PR (pull request) to Orbs open source GitHub repo. This will normally require you to have a free GitHub account.

Instructions: <https://github.com/signup>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/development-requirements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
